Skip to main content
POST
/
public
/
{user_id}
/
cart
/
{cart_uuid}
/
checkout
Checkout Cart
curl --request POST \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/cart/{cart_uuid}/checkout \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "order": {
      "uuid": "b7484600-b5e0-328a-a874-288469f2d564",
      "status": "draft",
      "placed_at": "2025-03-31T23:18:32.0000000+00:00",
      "expires_at": "2026-03-11T14:05:30.0000000+00:00",
      "sub_total": {
        "currency": "USD",
        "amount": "9021.00",
        "amount_minor": 902100
      },
      "discount_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "tax_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "credits_total": {
        "currency": "USD",
        "amount": "0.00",
        "amount_minor": 0
      },
      "total": {
        "currency": "USD",
        "amount": "9021.00",
        "amount_minor": 902100
      },
      "remaining_total": {
        "currency": "USD",
        "amount": "9021.00",
        "amount_minor": 902100
      },
      "total_before_tax": {
        "currency": "USD",
        "amount": "9021.00",
        "amount_minor": 902100
      },
      "tax_breakdown": [
        {
          "amount": {
            "currency": "USD",
            "amount": "0.00",
            "amount_minor": 0
          },
          "code": "Test Tax",
          "name": "some-tax",
          "rate": 10,
          "calculator_type": "percent"
        }
      ],
      "discount_breakdown": [
        {
          "amount": {
            "currency": "USD",
            "amount": "0.00",
            "amount_minor": 0
          },
          "code": "Test Discount",
          "name": "some-discount",
          "rate": 10,
          "calculator_type": "percent"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

cart_uuid
string
required

Response

200 - application/json
data
object